import { DataElementCreationBaseService } from './data-element-creation-base-service';
import { ArrayCheckerService } from './array-checker.service';
import { DiagramService } from './diagram.service';
import { ComputedValueCreationService } from './computed-value-creation.service';
import { BaseDataElement } from '../../../core/elements/models/base-data-element.model';
import { DecisionPointsCreationService } from './decision-points-creation.service';
export declare class ComputedDataElementCreationService extends DataElementCreationBaseService {
    private arrayCheckerService;
    private computedValueCreationService;
    private decisionPointsCreationService;
    constructor(diagramService: DiagramService, arrayCheckerService: ArrayCheckerService, computedValueCreationService: ComputedValueCreationService, decisionPointsCreationService: DecisionPointsCreationService);
    createElement(data: any): BaseDataElement;
}
