import { DiagramService } from './diagram.service';
import { DataElementCreationBaseService } from './data-element-creation-base-service';
import { BaseDataElement } from '../../../core/elements/models/base-data-element.model';
import { ConditionsCreationService } from './conditions-creation.service';
import { ComputedValueCreationService } from './computed-value-creation.service';
export declare class IntegerDataElementCreationService extends DataElementCreationBaseService {
    private conditionsCreationService;
    private computedValueCreationService;
    constructor(diagramService: DiagramService, conditionsCreationService: ConditionsCreationService, computedValueCreationService: ComputedValueCreationService);
    createElement(data: any): BaseDataElement;
    private GetConditionalProperties(conditionalProperty);
}
