import { OnInit } from '@angular/core';
import { DateTimeDataElement } from '../../../../core/elements/models/datetime.model';
import { FormGroup, FormBuilder } from '@angular/forms';
import { SimulatorEngineService } from '../../../../core/services/simulator-engine.service';
export declare class AssistDateTimeElementComponent implements OnInit {
    private formBuilder;
    private simulatorEngineService;
    dateTimeDataElement: DateTimeDataElement;
    dateTimeElementForm: FormGroup;
    date: Date;
    settings: {
        bigBanner: boolean;
        format: string;
        defaultOpen: boolean;
        timePicker: boolean;
        closeOnSelect: boolean;
    };
    constructor(formBuilder: FormBuilder, simulatorEngineService: SimulatorEngineService);
    ngOnInit(): void;
    onDateSelect(): void;
    private createDateTimeElementForm();
}
