import { Diagram } from '../../models/diagram.model';
import { ConditionalProperty } from './conditionalproperty.model';
import { CodableConcept } from './codableConcept.model';
export declare class BaseDataElement {
    id: string;
    isRequired: Boolean;
    displaySequence: number;
    label: string;
    hint: string;
    diagrams: Diagram[];
    voiceCommand: String;
    currentValue: any;
    dataElementType: string;
    isVisible: Boolean;
    defaultValue: any;
    cdeId: string;
    conditionalProperties: ConditionalProperty[];
    isEditable: Boolean;
    hasprefilled: Boolean;
    output: Boolean;
    unit: string;
    sourceFilled: string;
    codableConcept: CodableConcept;
    isRequiredOverrider: Boolean;
    displaySequenceOverrider: number;
}
